/**********************************************************
   TEST PCA8561A LCD
 **********************************************************/

#include <Wire.h>
#define adr 0x38  //

void setup() {
  Wire.begin();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x01);        //DeviceCtrl
  Wire.write(0b00000000);  //FF=32Hz, OSC=EN, CKLOUT=OFF
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x02);        //DispCtrl1
  Wire.write(0b00000001);  //BOOSt=STD, MUX=1:4, BIAS=1/3, DE=display EN
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x03);        //DispCtrl2
  Wire.write(0b00000110);  //BLK=2Hz, INV=line
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x04);
  Wire.write(0xFF);  // DIG11 = 8.
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x07);
  Wire.write(0xFF);  // DIG2 = 8.
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x0A);
  Wire.write(0xFF);  // DIG3 = 8.
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x0D);
  Wire.write(0xFF);  // DIG4 = 8:
  Wire.endTransmission();
  delay(2000);
}


void loop() {
  Wire.beginTransmission(adr);
  Wire.write(0x03);        //DispCtrl2
  Wire.write(0x00000000);  //BLK=OFF, INV=line
  Wire.endTransmission();
  Wire.beginTransmission(adr);
  Wire.write(0x04);
  Wire.write(0b11000100);  // DIG11 = 1
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x07);
  Wire.write(0b10100110);  // DIG2 = 2
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x0A);
  Wire.write(0b01111110);  // DIG3 = 4
  Wire.endTransmission();
  delay(1);
  Wire.beginTransmission(adr);
  Wire.write(0x0D);
  Wire.write(0b11011000);  // DIG4 = 5
  Wire.endTransmission();
  while (1)
    ;
}
